Blame SOURCES/0559-fips-removed-false-positive-FATAL-Module-xxx-not-fou.patch

18971c
From 2ee1e96e1a2bd37cfb9a70e924fd93d709939979 Mon Sep 17 00:00:00 2001
18971c
From: =?UTF-8?q?Renaud=20M=C3=A9trich?= <rmetrich@redhat.com>
18971c
Date: Wed, 14 Nov 2018 13:19:27 +0100
18971c
Subject: [PATCH] fips: removed false-positive 'FATAL: Module xxx not found'
18971c
 error message when kernel provides a generic algo for module
18971c
MIME-Version: 1.0
18971c
Content-Type: text/plain; charset=UTF-8
18971c
Content-Transfer-Encoding: 8bit
18971c
18971c
Signed-off-by: Renaud Métrich <rmetrich@redhat.com>
18971c
18971c
Cherry-picked from: 01ffcf342ae65984c655f10a2fd35019a492ee5c
18971c
Resolves: #1649743
18971c
---
18971c
 modules.d/01fips/fips.sh | 4 ++--
18971c
 1 file changed, 2 insertions(+), 2 deletions(-)
18971c
18971c
diff --git a/modules.d/01fips/fips.sh b/modules.d/01fips/fips.sh
18971c
index c72c1273..7ba1ab27 100755
18971c
--- a/modules.d/01fips/fips.sh
18971c
+++ b/modules.d/01fips/fips.sh
18971c
@@ -86,7 +86,7 @@ do_fips()
18971c
     mv /etc/modprobe.d/fips.conf /etc/modprobe.d/fips.conf.bak
18971c
     for _module in $FIPSMODULES; do
18971c
         if [ "$_module" != "tcrypt" ]; then
18971c
-            if ! modprobe "${_module}"; then
18971c
+            if ! modprobe "${_module}" 2>/tmp/fips.modprobe_err; then
18971c
                 # check if kernel provides generic algo
18971c
                 _found=0
18971c
                 while read _k _s _v; do
18971c
@@ -95,7 +95,7 @@ do_fips()
18971c
                     _found=1
18971c
                     break
18971c
                 done 
18971c
-                [ "$_found" = "0" ] && return 1
18971c
+                [ "$_found" = "0" ] && cat /tmp/fips.modprobe_err >&2 && return 1
18971c
             fi
18971c
         fi
18971c
     done